Bug 240584 - [exp-run] devel/scons: Update to 3.1.1
Summary: [exp-run] devel/scons: Update to 3.1.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL: https://people.FreeBSD.org/~sunpoet/p...
Keywords:
Depends on:
Blocks:
 
Reported: 2019-09-14 21:23 UTC by Sunpoet Po-Chuan Hsieh
Modified: 2019-10-02 19:52 UTC (History)
0 users

See Also:
antoine: exp-run+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sunpoet Po-Chuan Hsieh freebsd_committer 2019-09-14 21:23:22 UTC
Update to 3.1.1

Changes:        https://scons.org/tag/releases.html
                https://github.com/SCons/scons/blob/master/src/CHANGES.txt
Comment 2 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-09-30 07:40:13 UTC
Patch updated.
Comment 3 Antoine Brodin freebsd_committer 2019-10-02 06:46:19 UTC
Exp-run looks fine
Comment 4 commit-hook freebsd_committer 2019-10-02 19:52:06 UTC
A commit references this bug:

Author: sunpoet
Date: Wed Oct  2 19:51:05 UTC 2019
New revision: 513618
URL: https://svnweb.freebsd.org/changeset/ports/513618

Log:
  Update to 3.1.1

  Changes:	https://scons.org/tag/releases.html
  		https://github.com/SCons/scons/blob/master/src/CHANGES.txt
  PR:		240584
  Exp-run by:	antoine

Changes:
  head/devel/scons/Makefile
  head/devel/scons/distinfo
Comment 5 commit-hook freebsd_committer 2019-10-02 19:52:07 UTC
A commit references this bug:

Author: sunpoet
Date: Wed Oct  2 19:51:26 UTC 2019
New revision: 513620
URL: https://svnweb.freebsd.org/changeset/ports/513620

Log:
  Fix build with scons 3.1.1

  PR:		240584
  Exp-run by:	antoine

Changes:
  head/emulators/nonpareil/Makefile
  head/emulators/nonpareil/files/patch-SConstruct
  head/emulators/nonpareil/files/patch-src_SConscript
  head/emulators/nonpareil/files/patch-src_printer.c
  head/emulators/nonpareil/files/patch-src_proc.c
  head/emulators/nonpareil/files/patch-src_util.c
  head/emulators/nonpareil/files/patch-src_util.h
  head/games/glob2/files/patch-SConstruct
  head/games/marsnomercy/files/patch-SConstruct
  head/lang/tolua++/files/patch-SConstruct
  head/x11/ipager/Makefile
  head/x11/ipager/files/patch-SConstruct
Comment 6 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-10-02 19:52:43 UTC
Committed. Thanks!